#include "graph.h"


void print_graph_optimization(Graph &G) {
	size_t covered_edges = 0;

	for (auto it = G.E.begin(); it != G.E.end(); it++) {
		Edge *e = *it;
		if (e->covered == true)
			covered_edges++;
	}

	cout << "# graph optimized" << endl;
	cout << "# n: " << G.n << " -> " << G.V.size() << " (" << (float) 100 * ((float) G.V.size()) / G.n << " %)" << endl;
	cout << "# m: " << G.m << " -> " << G.E.size() << " (" << (float) 100 * ((float) G.E.size()) / G.m << " %)" << endl;

	size_t permanent = 0;
	for (Vertex *v: G.V) {
		if (v->permanent)
			permanent++;
	}
	cout << "# permanent: " << permanent << " (" << (float) 100 * ((float) permanent / G.V.size()) << " %)" << endl;
}
